Summary:          Image and video capture application using unicap toolkit
Name:             ucview
Version:          0.33
Release:          10%{?dist}
License:          GPLv2+
Group:            Applications/Multimedia
URL:              http://www.unicap-imaging.org/
Source0:          http://www.unicap-imaging.org/downloads/%{name}-%{version}.tar.gz
Source1:          %{name}.desktop
Patch0:           ucview-0.33-gmodule.patch
BuildRequires:    intltool, /usr/bin/perl, perl(XML::Parser), gettext, GConf2-devel
BuildRequires:    libunicapgtk-devel >= 0.2.23, gtk2-devel >= 2.8.0, libglade2-devel
BuildRequires:    desktop-file-utils, dbus-glib-devel >= 0.73
%if 0%{?rhel} >= 6
BuildRequires:    libXv-devel, libtheora-devel, libvorbis-devel
%endif
Requires:         hicolor-icon-theme
Requires(pre):    GConf2
Requires(post):   GConf2, scrollkeeper
Requires(preun):  GConf2
Requires(postun): scrollkeeper
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
UCView is a video image capture application using the unicap toolkit.
It provides a simple way to parametrise the video device, can capture
still images from the video stream or record the stream as mpeg file.
By using unicap, it can access many different video capture devices
like webcams, video grabber boards, IEEE-1394 (FireWire) cameras and
others.

%package devel
Summary:          Development files for UCView
Group:            Development/Libraries
Requires:         %{name} = %{version}-%{release}, pkgconfig

%description devel
The ucview-devel package includes header files necessary for building
and developing programs and plugins which use UCView.

%prep
%setup -q
%patch0 -p1 -b .gmodule

%build
%configure --disable-schemas-install
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=$RPM_BUILD_ROOT install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# Install a working ucview.desktop file
desktop-file-install --vendor "" --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}

# Create plugin directory for ucview plugins
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins

%find_lang %{name}

%pre
if [ $1 -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null 2>&1 || :
fi

%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null 2>&1 || :

touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%preun
if [ $1 -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null 2>&1 || :
fi

%postun
scrollkeeper-update -q || :

touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.33-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct 18 2010 Robert Scheck <robert@fedoraproject.org> 0.33-1
- Upgrade to 0.33 (#643107)

* Sat Feb 27 2010 Robert Scheck <robert@fedoraproject.org> 0.31-1
- Upgrade to 0.31 (#530708)

* Sat Oct 24 2009 Robert Scheck <robert@fedoraproject.org> 0.30-1
- Upgrade to 0.30 (#530708)

* Sun Sep 27 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.23-4
- Update desktop file according to F-12 FedoraStudio feature

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 24 2009 Robert Scheck <robert@fedoraproject.org> 0.23-2
- Readded wrongly removed build requirement to dbus-glib-devel

* Mon May 04 2009 Robert Scheck <robert@fedoraproject.org> 0.23-1
- Upgrade to 0.23

* Mon Feb 23 2009 Robert Scheck <robert@fedoraproject.org> 0.22-3
- Rebuild against gcc 4.4 and rpm 4.6

* Sun Oct 19 2008 Robert Scheck <robert@fedoraproject.org> 0.22-2
- Rebuild against unicap 0.93

* Mon Oct 13 2008 Robert Scheck <robert@fedoraproject.org> 0.22-1
- Upgrade to 0.22

* Sun Jul 27 2008 Robert Scheck <robert@fedoraproject.org> 0.21-1
- Upgrade to 0.21

* Mon May 19 2008 Robert Scheck <robert@fedoraproject.org> 0.20.1-1
- Upgrade to 0.20.1

* Sun May 18 2008 Robert Scheck <robert@fedoraproject.org> 0.17-1
- Upgrade to 0.17
- Initial spec file for Fedora and Red Hat Enterprise Linux
